Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## ch.mimo.netty.handler.codec.icap
Class IcapServerCodec

    java.lang.Object
      ch.mimo.netty.handler.codec.icap.IcapServerCodec

All Implemented Interfaces:
  org.jboss.netty.channel.ChannelDownstreamHandler, org.jboss.netty.channel.ChannelHandler, org.jboss.netty.channel.ChannelUpstreamHandler

    public class IcapServerCodec

extends Object
implements org.jboss.netty.channel.ChannelUpstreamHandler, org.jboss.netty.channel.ChannelDownstreamHandler

A combination of @see `IcapRequestDecoder` and @see `IcapResponseEncoder` which enables easier server side ICAP implementation.

Author:
  Michael Mimo Moratti (mimo@mimo.ch)
See Also:
  `IcapRequestDecoder`, `IcapResponseEncoder`, `IcapClientCodec`

Nested Class Summary

Nested classes/interfaces inherited from interface org.jboss.netty.channel.ChannelHandler
`org.jboss.netty.channel.ChannelHandler.Sharable`

Constructor Summary
`IcapServerCodec()`
`IcapServerCodec(int maxInitialLineLength, int maxIcapHeaderSize, int maxHttpHeaderSize, int maxChunkSize)`

Method Summary
`void` | `handleDownstream(org.jboss.netty.channel.ChannelHandlerContext ctx, org.jboss.netty.channel.ChannelEvent e)`
`void` | `handleUpstream(org.jboss.netty.channel.ChannelHandlerContext ctx, org.jboss.netty.channel.ChannelEvent e)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### IcapServerCodec

    public IcapServerCodec()

### IcapServerCodec

    public IcapServerCodec(int maxInitialLineLength,
                           int maxIcapHeaderSize,
                           int maxHttpHeaderSize,
                           int maxChunkSize)

Parameters:
  `maxInitialLineLength` -
  `maxIcapHeaderSize` -
  `maxHttpHeaderSize` -
  `maxChunkSize` -
See Also:
  `IcapMessageDecoder constructor for more details.`

Method Detail

### handleDownstream

    public void handleDownstream(org.jboss.netty.channel.ChannelHandlerContext ctx,
                                 org.jboss.netty.channel.ChannelEvent e)
                          throws Exception

  Specified by:
    `handleDownstream` in interface `org.jboss.netty.channel.ChannelDownstreamHandler`
  Throws:
    `Exception`

### handleUpstream

    public void handleUpstream(org.jboss.netty.channel.ChannelHandlerContext ctx,
                               org.jboss.netty.channel.ChannelEvent e)
                        throws Exception

  Specified by:
    `handleUpstream` in interface `org.jboss.netty.channel.ChannelUpstreamHandler`
  Throws:
    `Exception`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2011. All Rights Reserved.